;     include files
      include \MASM32V1\INCLUDE\windows.inc
      include \MASM32V1\INCLUDE\gdi32.inc
      include \MASM32V1\INCLUDE\user32.inc
      include \MASM32V1\INCLUDE\kernel32.inc
      include \MASM32V1\INCLUDE\Comctl32.inc
      include \MASM32V1\INCLUDE\comdlg32.inc
      include \MASM32V1\INCLUDE\shell32.inc
      include \MASM32V1\INCLUDE\oleaut32.inc

;include  \MASM32V1\include\DSPMACRO.asm

;     libraries
      includelib \MASM32V1\LIB\gdi32.lib
      includelib \MASM32V1\LIB\user32.lib
      includelib \MASM32V1\LIB\kernel32.lib
      includelib \MASM32V1\LIB\Comctl32.lib
      includelib \MASM32V1\LIB\comdlg32.lib
      includelib \MASM32V1\LIB\shell32.lib
      includelib \MASM32V1\LIB\oleaut32.lib

;=================
; Local prototypes
;=================
WinMain       PROTO :DWORD,:DWORD,:DWORD,:DWORD
WndProc       PROTO :DWORD,:DWORD,:DWORD,:DWORD
Paint_Proc    PROTO :DWORD,:DWORD
CreateWin     PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
ReadEM        PROTO :DWORD,:DWORD
Confirmation  PROTO :DWORD
WriteEM       PROTO :DWORD
EditProc      PROTO :DWORD,:DWORD,:DWORD,:DWORD
BaseAscii     PROTO :DWORD,:DWORD,:DWORD
CreateOEMFont PROTO :DWORD

wsprintfA     PROTO C :DWORD,:VARARG
wsprintf      equ <wsprintfA>

;=============
; Local macros
;=============

MOVmd    MACRO Var1, Var2
          push     Var2
           pop     Var1
          ENDM

TBSep    MACRO hTool
           mov     tbb.iBitmap, 0
           mov     tbb.idCommand, 0
           mov     tbb.fsState, TBSTATE_ENABLED
           mov     tbb.fsStyle, TBSTYLE_SEP
        INVOKE     SendMessage, hTool, TB_ADDBUTTONS, 1, addr tbb
          ENDM

TBButt   MACRO hTool, bID, cID, Text
           mov     tbb.iBitmap, bID    ; Button image number
           mov     tbb.idCommand, cID  ; Command ID number
           mov     tbb.fsState, TBSTATE_ENABLED
           mov     tbb.fsStyle, TBSTYLE_BUTTON
           mov     tbb.dwData, 0
           mov     tbb.iString, Text
        INVOKE     SendMessage, hTool, TB_ADDBUTTONS, 1, addr tbb
          ENDM


.const

MemSize       equ 524288

.data

CommandLine   dd 0
hWnd          dd 0
hInst         dd 0
hIcon         dd 0
hwndStat      dd 0
hwndTool      dd 0
hTbBmp        dd 0
hEdit         dd 0
hFont         dd 0
WrapFlag      dd 0
FontSize      dd 0
lpEditProc    dd 0
bSize         dd 0
sbParts       dd 4 dup(?)

ReDLL         db 'RICHED32.DLL',0
EditRT        db 'RichEdit',0
richedit      db 'RichEdit20A',0
RichEdDLL     db 'RICHED20.DLL',0 ;Version 2\3

EditClass     db 'EDIT',0
tbClass       db 'ToolbarWindow32',0
WrapOFF       db ' Wrap OFF',0
WrapON        db ' Wrap ON',0
szClassName   db 'OemPad_Class',0
szDisplayName db 'OemPad',0
FontName      db 'Terminal', 0

szUntitled    db 'Untitled',0
szTitleO      db 'ReadEM',0
szFilterO     db 'All files',0,'*.*',0,'Text files',0,'*.txt',0,0
szTitleS      db 'WriteEM',0
szFilterS     db 'All files',0,'*.*',0,'Text files',0,'*.txt',0,0
TooBig        db 'Sorry, file is too large for BillPad',0
ConfirmMsg    db 'File not saved, save it now ?',0
AboutMsg      db 'OemPad Text Editor', 13, 10, 'Copyright  MASM32V1 2001',0
szOpenedAt    db 'File opened size ',0
szSavedAt     db 'File saved size ',0
bytes         db ' bytes',0
sizeBuffer    db 16 dup(?)
szPathName    db 128 dup(?)
szFileName    db 260 dup(0)

tbb           TBBUTTON     <>
tbab          TBADDBITMAP  <>
ofn           OPENFILENAME <>

